Skip to main content
GET
/
monitors
/
{monitor_id}
/
events
/
{event_id}
Get event details
curl --request GET \
  --url https://api.dnsradar.dev/monitors/{monitor_id}/events/{event_id} \
  --header 'X-Api-Key: <api-key>'
{
  "id": "evt_abc123...",
  "monitor_id": "mon_abc123...",
  "monitor": {
    "domain": "example.com",
    "subdomain": "www",
    "record_type": "A",
    "expected_value": [
      "192.168.1.1"
    ]
  },
  "occurred": "2023-11-07T05:31:56Z",
  "previous_value": [
    "192.168.1.1"
  ],
  "current_value": [
    "10.0.0.1"
  ],
  "old_state": "MISMATCH",
  "new_state": "VALID",
  "incidence_count": 0
}

Authorizations

X-Api-Key
string
header
required

API key used to authenticate yourself on DNSRadar. Obtain your API key from your DNSRadar dashboard.

Path Parameters

monitor_id
string
required
event_id
string
required

Event UUID (starts with 'evt_')

Response

Event details

DNS change event detected by monitoring

id
string

Event identifier with 'evt_' prefix

Example:

"evt_abc123..."

monitor_id
string

UUID of the associated monitor

Example:

"mon_abc123..."

monitor
object

Monitor information associated with this event

occurred
string<date-time>

Datetime when the event occurred in ISO 8601 format

previous_value
string[] | null

Previous DNS values

Example:
["192.168.1.1"]
current_value
string[] | null

New DNS values

Example:
["10.0.0.1"]
old_state
enum<string>

Previous monitoring state

Available options:
UNSET,
VALID,
INVALID,
TIMEOUT,
MISMATCH,
NOT_FOUND,
NO_DATA,
BAD_SETUP
Example:

"MISMATCH"

new_state
enum<string>

New monitoring state

Available options:
VALID,
INVALID,
TIMEOUT,
MISMATCH,
NOT_FOUND,
NO_DATA,
BAD_SETUP
Example:

"VALID"

incidence_count
integer

Total number of incidents for the monitor.

Example:

0